ArcGIS Pro 2.8 - 与GPU的深度学习 - 致命授权错误

1470.
12.
跳转到解决方案
05-14-2021 10:14 PM.
tim_mcginnes.
经过
偶尔撰稿人III

想试试Pro 2.8中的一些新的深度学习工具。我有一个清洁安装2.8,克隆Python环境和深度学习模块安装的“conda install deep learning-essentials”。

我可以通过环境变量中指定的CPU成功运行深度学习工具。但是当我选择GPU时,我收到一个错误框弹出:“ArcGIS Pro遇到了致命的授权错误并且必须关闭”。屏幕截图在运行Detect对象工具时显示错误和消息。

我有ArcGIS Pro 2.8高级和图像分析师扩展许可作为一个命名用户通过ArcGIS在线。同样的事情发生在两台不同的机器上,台式机5Gb Quadro P2000和笔记本电脑8Gb GeForce RTX 2080。两台机器都安装了Windows 10。

我只是太快了在Pro 2.8中试图做深入学习的标记吗?

0.荣誉
1解决方案

接受的解决方案
tim_mcginnes.
经过
偶尔撰稿人III

ArcGIS Pro 2.8.1修补程序似乎可以解决此问题。

在原始帖子中查看解决方案

0.荣誉
12个回复
丹帕特森
经过 MVP荣誉贡献
MVP荣誉贡献

深度学习必需品:: anaconda.org

文件:: anaconda.org.

ESRI /深学习框架:安装支持ArcGIS Syst的深度学习框架......

您可以查看第2个链接与下载,以确保已安装2.8的版本。

在最后一个链接中,似乎2.8的安装说明还没有启动。

深入学习常见问题 - ArcGIS Pro |文件

以防我漏掉什么。


......有点退休......
0.荣誉
tim_mcginnes.
经过
偶尔撰稿人III

是的,它肯定是安装深度学习要件2.8。康达安装(演习)和康达列表输出附件。

进一步的调查显示,这些工具使用GPU时出现错误:

  • 利用深度学习分类像素
  • 使用深度学习检测变化
  • 使用深度学习检测对象

当使用GPU时,这些工具工作起来没有问题:

  • 训练深度学习模型
  • 使用训练模型分类点云

使用CPU时,上面的所有工具都没有问题。

此外,我可以使用Jupyter笔记本电脑使用GPU进行改变检测模型的推理。

0.荣誉
丹帕特森
经过 MVP荣誉贡献
MVP荣誉贡献

@Tim_McGinnes你可能想看看第一期…

·Esri/deep-learning-frameworks (github.com)

它不是你的gpu,但是,它提供了背景。

如果你还没有通过技术支持完成一个,你可能会被建议在那里提交一个问题。


......有点退休......
0.荣誉
tim_mcginnes.
经过
偶尔撰稿人III

问题记录在Esri深度学习框架的GitHub网站,有人独立确认了这个错误:https://github.com/esri/deep-learning-frameworks/issues/19

添加一些ESRI人士以获得帮助:@VinayViswambharan@SandeepKumar1

Samaloysius4.
经过
新贡献者II

你好,

这个问题正在解决,并将在下一次更新可用。抱歉,谢谢你的耐心

Shingo-ikeda
经过
新贡献者III

你好,

对此有任何更新?我也对2.8有同样的问题。

Pro_2.8_Deep_Learning_error.png

我在从GUI和Arcpy函数中执行“使用深度学习分类对象”时会看到此特定错误对话框。它创建一个空的输出功能类。如果我们需要重新安装2.8以上,请建议使用深度学习工具。

Shingo Ikeda
地理空间数据科学家/开发人员-地理信息平台
全球发电 - 数字卫星美国和加拿大
tim_mcginnes.
经过
偶尔撰稿人III

Esri已经建议它将在Pro 2.8.1更新中修复。我回到了2。7。

至于2.8.1发布日期:ArcGIS Pro 2.8.1预计什么时候会下降?

Shingo-ikeda
经过
新贡献者III

嗨,蒂姆。

感谢您及时的回复。我想我也需要恢复到2.7。在宣布所有改进和错误修复之后,恢复到2.7是不幸的/头痛。

Shingo Ikeda
地理空间数据科学家/开发人员-地理信息平台
全球发电 - 数字卫星美国和加拿大
0.荣誉
Samaloysius4.
经过
新贡献者II

嗨Shingo-ikeda,

给您带来不便,敬请原谅。2.8.1补丁计划作为早期的更新,应该会很快发布…在接下来的几周。